      subroutine fluxinterpol(itges)
********************************************************************
*                                                                  *
*                     Author: G. WOTAWA                            *
*                     1994-06-03                                   *
*                                                                  *
********************************************************************
*                                                                  *
* DESCRIPTION: This program interpolates deaccumulated fluxes of   *
*              ECMWF model FG fields to given times 00/03/06/09/   *
*              12/15/18/21 from times in between.                  *
*                                                                  *
********************************************************************

      include 'parameter'
      include 'commonvar'

      integer it,itges,i,j

      do 100 it=1,itges-1
         do 100 i=1,nx
            do 100 j=1,ny
*               lsp (i,j,it) = (lsp (i,j,it) + lsp (i,j,it+1)) /2.  !! PRECIPITATION IS
*               cp  (i,j,it) = (cp  (i,j,it) + cp  (i,j,it+1)) /2.  !! NOT INTERPOLATED
               sshf(i,j,it) = (sshf(i,j,it) + sshf(i,j,it+1)) /2.
               ssr (i,j,it) = (ssr (i,j,it) + ssr (i,j,it+1)) /2.
               ewss(i,j,it) = (ewss(i,j,it) + ewss(i,j,it+1)) /2.
100            nsss(i,j,it) = (nsss(i,j,it) + nsss(i,j,it+1)) /2.

      return
      end
